%This sample function will move the two motors in unison.  The motor will
%move up and down 7 times, but up higher each time.
clear all;
clc;

s = MotorControllerConnect(6) 

mc_resetpos(0,s);
pause(0.3);
ii=1;
pos0=mc_get_position(0,s);
pause(.3);

for i=1:7
    set_mc_position(-1300*i,1,s);
    set_mc_position(1300*i,0,s);
    pause(.5);
    pos1(ii)=mc_get_position(0,s);
    pos2(ii)=mc_get_position(1,s);
    if (mod(i,2)==1)
        set_mc_position(0,0,s);
        set_mc_position(0,1,s);
    elseif (mod(i,2)==0)
        set_mc_position(0,1,s);
        set_mc_position(0,0,s);
    end
    pause(.5);
    pos1(ii+1)=mc_get_position(0,s);
    pos2(ii+1)=mc_get_position(1,s);
    ii=ii+2;
end
pause(0.1);
mc_resetpos(1,s);
mc_resetpos(0,s);
plot(pos1);
hold on; 
plot(pos2);